> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orova.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un contact

> Créer un nouveau contact

## Requête

```bash theme={null}
curl -X POST https://app.orova.ai/api/contacts \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "contactName": "John Doe",
    "phoneNumber": "+1234567890",
    "region": "US East",
    "workspaceId": "WORKSPACE_ID",
    "externalFields": {
      "accountNumber": "ACC-001",
      "company": "Acme Corp"
    }
  }'
```

## Paramètres

| Champ            | Type   | Requis | Description                                                                                   |
| ---------------- | ------ | ------ | --------------------------------------------------------------------------------------------- |
| `contactName`    | string | Oui    | Nom du contact                                                                                |
| `phoneNumber`    | string | Oui    | Numéro de téléphone (E.164)                                                                   |
| `region`         | string | Non    | Région géographique (détectée automatiquement à partir du numéro de téléphone si non fournie) |
| `workspaceId`    | string | Oui    | ID de l'espace de travail                                                                     |
| `externalFields` | object | Non    | Champs personnalisés clé-valeur                                                               |

## Réponse

```json theme={null}
{
  "_id": "contact_id",
  "contactName": "John Doe",
  "phoneNumber": "+1234567890",
  "region": "US East",
  "workspaceId": "WORKSPACE_ID",
  "externalFields": {
    "accountNumber": "ACC-001",
    "company": "Acme Corp"
  },
  "createdAt": "2025-01-01T00:00:00.000Z"
}
```
